Problemas con la actualización en Linux Mint 14 XFCE

 

El siguiente error se presenta durante la actualización del sistema, e impide actualizarlo. Aparecen mensajes relacionados al paquete "medibuntu", como por ejemplo:

"Imposible obtener http://packages.medibuntu.org/dists/quantal/Release.gpg"

ERROR###ERROR###ERROR###ERROR###ERROR###ERROR###ERROR
E:Encountered a section with no Package: header, E:Problem with MergeList /var/lib/apt/lists/packages.medibuntu.org_dists_quantal_non-free_i18n_Translation-es%5fVE, E:The package lists or status file could not be parsed or opened.

Al intentar eliminar el paquete conflictivo abriendo el "Gestor de paquetes Synaptic", este nos lo impide emitiendo otro error. Tampoco nos permite entrar en "Orígenes del Software" para eliminar este maldito paquete.

Solución:

1. Abrimos una terminal y escribimos:

#sudo gedit /etc/apt/sources.list

Hay que poner un # en cada línea que tiene un paquete .deb como se muestra abajo:

deb http://packages.linuxmint.com/ nadia main upstream import
#deb http://archive.ubuntu.com/ubuntu/ quantal main restricted universe multiverse
#deb http://archive.ubuntu.com/ubuntu/ quantal-updates main restricted universe multiverse
#deb http://security.ubuntu.com/ubuntu/ quantal-security main restricted universe multiverse
#deb http://archive.canonical.com/ubuntu/ quantal partner
#deb http://packages.medibuntu.org/ quantal free non-free

Luego guarda los cambios y escribe en la terminal:

#sudo apt-get update

A continuación volvemos a escribir en la terminal:

#sudo gedit /etc/apt/sources.list

Y borramos todos los #

deb http://packages.linuxmint.com/ nadia main upstream import
  deb http://archive.ubuntu.com/ubuntu/ quantal main restricted universe multiverse
  deb http://archive.ubuntu.com/ubuntu/ quantal-updates main restricted universe multiverse
  deb http://security.ubuntu.com/ubuntu/ quantal-security main restricted universe multiverse
  deb http://archive.canonical.com/ubuntu/ quantal partner
  deb http://packages.medibuntu.org/ quantal free non-free

Ahora guardamos los cambios y escribimos en la terminal:

 #sudo apt-get clean

#sudo apt-get update

 2. Ahora nos vamos a Configuración --->Orígenes del Software --->Otro Software y quitamos los paquetes "medibuntu" (Desmarcar el casillero).

3. Finalmente nos vamos al "Gestor de Actualizaciones" y vamos a poder actualizar sin problemas.

4. Fin.

Fuente: http://www.linuxmint-hispano.com/foro/soporte-software/problemas-con-actualizacion-%28repositorios-linux-mint-14-xfce%29/

cristian alonso

Autor & Editor

Usuario avanzado en GNU/Linux.

0 comentarios:

Publicar un comentario

 
biz.